PDA

View Full Version : Command and Conquer Patch 1.05



Benni
07.06.2007, 21:29
CNC 3 1.05 doesnt work with latest (7060) YASU.

It tells me that a security module cannot be loaded.
I've got Windows Vista Business x64.

@Syko: I emailed you the protected exe.

Hanschke
07.06.2007, 21:46
ohh no :( hope will be fixed soon.

Blazkowicz
07.06.2007, 22:12
Ready...
Scanning -> M:\c&c 3\patch15\RetailExe\1.5\cnc3game.dat
File Type : Exe, Size : 13694480 (0D0F610h) Byte(s)
-> File Appears to be Digitally Signed @ Offset 0D0E000h, size : 01610h / 05648 byte(s)
-> Suspicious MZ Header..
[!] SecuROM Detected - Version 07.33.0004
[!] Possible CD/DVD-Key or Serial Check -> cdkey
- Scan Took : 0.31 Seconds

ghost_zero
07.06.2007, 22:15
I am currently downloading the patch but well it seems to go a bit slow (sarcasm... it goes damn extrem slow) :)

EDIT:
Now I got a patch download failed... seems like I need to re-download... Are there mirrors somewhere alredy (probably not because it is only auto-update)...

Reef
07.06.2007, 22:18
Downloading the patch now (going sloooooow)... So I can test this on XP 32 bit.

EDIT: Same problem as ghost_zero: patch download failed. Gonna wait untill there is a stand-alone patch to test.

Hanschke
07.06.2007, 22:20
i have load it via fullspeed :D

Benni
07.06.2007, 22:22
ftp://copybase.ch/CNC3_patch105_german(KaneEdition).exe

Just temporary. Hurry :-)

(Its limited to 400kbyte and 10 users at the same time, so dont complain).

Blazkowicz
07.06.2007, 22:24
Just tried and it works on Windows XP. Do you get these message without YASU too?

ghost_zero
07.06.2007, 22:25
ftp://copybase.ch/CNC3_patch105_german(KaneEdition).exe (ftp://copybase.ch/CNC3_patch105_german%28KaneEdition%29.exe)

Just temporary. Hurry :-)

(Its limited to 400kbyte and 10 users at the same time, so dont complain).

You don't have the english one too, do you?
Although I am German speaking I am normally playing that game - and some others - too in English (here it was possible thanks to the Kane Edition)... Well anyway: I can temporarily try with German one...

Reef
07.06.2007, 22:30
Probably the same type of blacklisting... So I guess they added "Y-A-S-U" and "Y:A:S:U" to the blacklisted names.

Only way to get around this is an option to completely randomize the name in the systray for YASU. As usual, sYk0 will fix this :D

Hanschke
07.06.2007, 22:30
is there any solution to slipstream the patch into the iso?

Benni
07.06.2007, 22:31
You don't have the english one too, do you?
Although I am German speaking I am normally playing that game - and some others - too in English (here it was possible thanks to the Kane Edition)... Well anyway: I can temporarily try with German one...

Wait a bit. I will try to grab it quickly.

Update: Our server is grabbing it. But it will last 20 more minutes, I think. So if you can wait until then, you might save some time, anyway.

Blazkowicz
07.06.2007, 22:32
@Reef

It is no blacklisting as 1.05 works for me with latest YASU.

Benni
07.06.2007, 22:35
Blazkowicz, a friend of mine says it works with 1.05 under Windows XP, but I am running Vista x64 and it doesnt work for me anymore :-(.

mrazzido
07.06.2007, 22:37
Heyo! yeah the yasu works under xp with cnc3 1.05 , but on vista it crahed.

Benni
07.06.2007, 22:41
is there any solution to slipstream the patch into the iso?
Well, the cab files are readable via WinRAR. So if you have a tool to write them, you might have a chance.
But then you'll need an (un)packing tool for EA's .big-files, too. I dont think that manipulating a setup is very healthy for that DVD.

Kinlaadare
07.06.2007, 22:45
This might be due to the x64 part... I noticed weird things when I was using XP x64 : while on the 32 bits version SF bypass with DT runned wery well, with XP x64 it was hellish to make a game run from the virtual drive... (never had problems with Securom though), all on a nforce4 mobo. Maybe there's something to dig with the x64 architecture... or have a real x64 YASU?
(I know sYk0 that delphi is not able to compile x64 code atm)

Benni
07.06.2007, 22:48
It worked with C&C3 1.04. So there must have been changes by EA regarding the copy protection, ... else it should be working the same way as before, shouldnt it?

Benni
07.06.2007, 22:58
@ghost_zero & all the others:

ftp://copybase.ch/CNC3_patch105_english.exe

ftp://copybase.ch/CNC3_patch105_german(StandardEdition).exe

ftp://copybase.ch/CNC3_patch105_german(KaneEdition).exe

ghost_zero
07.06.2007, 22:59
I only can say that YASU and C&C3 v1.05 on XP x64 works fine (although it takes ages for verification - which is a bit strange - and sometimes fails)...

EDIT:

Just tried and it works on Windows XP. Do you get these message without YASU too?
Does this mean it works without YASU for you (did not test this yet, I might do this later)?

ghost_zero
07.06.2007, 23:27
@Benni:
Thanks. I now got both Patches the German (Kane Edition) and the English one...
How did you actually get those patches [that fast] (I mean: the download servers were overloaded; especially because the Standalone-Versions weren't yet available)?

Benni
07.06.2007, 23:31
I dont know what EA does with its servers, but using the Unix-Tool 'wget' it was no problem to leech it with 150kbyte/s.
So maybe they have strange priority settings?

ghost_zero
07.06.2007, 23:34
Could be... maybe because of release to mirror ftp servers which might use wget too...

EDIT:
But I can't even find the standalone .exe files on their ftp server yet (over ftp client I would at least be able to get the old v1.04 and over wget and therefore I should have been able to do the same v1.05 although I don't know where to find them)..?

debolaz
07.06.2007, 23:43
I get the same error message when using YASU with CNC3 1.05 on 32-bit XP. If I try the old 1.04 binary, it works just fine.

Reef
07.06.2007, 23:52
Just downloaded the patch (thanks Benni!), and no problems running the game on XP Home (32 bit).

Benni
07.06.2007, 23:57
Could be... maybe because of release to mirror ftp servers which might use wget too...
EDIT:
But I can't even find the standalone .exe files on their ftp server yet (over ftp client I would at least be able to get the old v1.04 and over wget and therefore I should have been able to do the same v1.05 although I don't know where to find them)..?
They are not on their primary server, yet. They've got a several number of mirror servers which are reachable via their individual IP address. One of those is ftp://159.153.197.71/pub/eapacific/cnc3/ .. thats where I've got it from.

ghost_zero
07.06.2007, 23:59
Ah... OK...
I don't know their mirrors (and that mirror also doesn't seem to be to overloaded) :)

Silver Fox
08.06.2007, 00:31
Same problem as the original poster here guys. Ive tried renaming YASU.exe (sorry im a noob), no joy.

Windows XP Home 5.1.2600/SP2 (latest)
DT 4.09HE
YASU 1.2.7050

Running with YASU/DT gives security module error: 5023
Without YASU (but with DT) gives security module error: 7001

Hope that helps. Thanks for your previous and continued work :D

evlncrn8
08.06.2007, 07:26
so is it blacklisted or not?, some conflicting reports here

Reef
08.06.2007, 08:20
Same problem as the original poster here guys. Ive tried renaming YASU.exe (sorry im a noob), no joy.
Windows XP Home 5.1.2600/SP2 (latest)
DT 4.09HE
YASU 1.2.7050

You're not using the latest YASU. Get 1.2b here (http://yasu.copybase.ch/).

Benni
08.06.2007, 09:06
Command and Conquer 3 Version 1.05 / Windows Vista Business x64 / YASU 1.2b 7060 / All DT Emulations off / VSO EZplay not installed / VCD9 not installed

Playing with Game Disc (YASU enabled): A required security module can't be activated. Execution of this application failed. (translated, original message is German) - Error Nr. 7001

Playing with MDS Image (YASU enabled): A required security module can't be activated. Execution of this application failed. - Error Nr. 7001

Playing with Game Disc (YASU disabled): The game starts.

Playing with MDS Image (YASU disabled): Conflict with emulation software.

It all worked perfectly with patch 1.04, now I have to use my original disc.

sYk0
08.06.2007, 09:30
Try using Y.A.S.U with the parameter "-usuck"
i.e. "YASU.exe -usuck"
;)

fyi, the parameter is only for use with YASU 1.2b.

Benni
08.06.2007, 09:39
Hi sYk0,

doesnt work. That command line parameter hides the tooltip of YASU, doesnt it?
But still the same message for me :-(. Security module couldnt be loaded... etc.

Silver Fox
08.06.2007, 11:50
You're not using the latest YASU. Get 1.2b here (http://yasu.copybase.ch/).

Thanks but I tried that last night bro. Still no dice for me, i tried the same combinations of renaming etc. The official C&C3 forum has a thread about it. Might be some more info in there.

http://forums.ea.com/mboards/thread.jspa?threadID=232410&tstart=0

Benni
08.06.2007, 13:13
English
Read this:
http://forums.ea.com/mboards/message.jspa?messageID=2314829&sls=2#2314829

German
An alle, bei denen es nicht mehr funktioniert:
Start => Ausführen => regedit (eintippen, bestätigen)
Den Schlüssel
HKEY_LOCAL_MACHINE / SYSTEM / MountedDevices aufsuchen.
Darin alle blauen Einträge löschen (alle REG_BINARY-Einträge). Anschließend muss ein Neustart gemacht werden.
Das ist eine Lösung aus dem C&C3-Forum von EA, die bei mir funktioniert hat!

Edit
WARNING: Devices will be reassigned to their drive letters. So you might have to re-order them manually in the devices management panel of Windows.
Warnung: Die Laufwerksbuchstaben werden nach diesem Vorgang neu zugeordnet. Möglicherweise muss das in der Computerverwaltung beim Datenträger-Management rückgängig gemacht werden.

Hanschke
08.06.2007, 14:56
have u testet it? i dont want to do it :rolleyes:

Benni
08.06.2007, 15:07
Of course.

evlncrn8
08.06.2007, 16:23
other warning -> you might bsod if you do this (some controller chipsets/drivers poll this registry key).. so reboot as soon as you can after deleting the keys..

..::shiFt::..
08.06.2007, 17:07
I guess thats a SecuROM bug, as it can happen with the original DVD inserted in the physical drive too.

evlncrn8
08.06.2007, 17:59
well, securom 'recommendation', doesnt necessarially mean its their bug... windows is weird sometimes too :)

GmY
10.06.2007, 12:09
CNC 3 1.05 doesnt work with latest (7060) YASU.

It tells me that a security module cannot be loaded.
I've got Windows Vista Business x64.

@Syko: I emailed you the protected exe.


Exactly your problem:mad: . But using Windows Vista Ultimate 32Bit.

ghost_zero
10.06.2007, 16:55
You should read this post too:
http://www.daemon-tools.cc/dtcc/showpost.php?p=84253&postcount=35

burli
16.07.2007, 21:40
CNC 3 1.06 doesnt work with latest (7060) YASU.

It recognize the emulation software.
I've got Windows Vista Ultimate 32 Bit.

john753
17.07.2007, 23:13
Same here, problems came with the new patch 1.06 released this week.

I also have Windows Vista Ultimate 32-bit and YASU v1.2b.7060. I already tried the -usuck parameter but without effect. I guess therefore that an update of YASU is required to bypass the new protection.

If you need any help with testing, let me know.

debolaz
18.07.2007, 00:22
CNC 3 1.06 doesnt work with latest (7060) YASU.
It recognize the emulation software.
I've got Windows Vista Ultimate 32 Bit.
Same problem here, Windows XP 32 bit, YASU 7060.

masteryoda34
24.07.2007, 16:16
Same problem. WinXP 32bit. Command and Conquer 1.06. YASU 7060. Tried -usuck. Gives "conflict with emulation software detected".

KoRn
24.07.2007, 21:18
There will be YASU 1.3 released
in "a couple of days".

Please report if the problem
then still exists.
Until then I will stay with
C&C3 1.05.